"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var Placeholder_1 = __importDefault(require("./Placeholder"));
var Container = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(Box_1.default, { bgcolor: '#ddd', width: 300 }, children));
};
var docs = {
    name: 'Box',
    examples: [
        {
            description: 'No padding',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Box_1.default, null,
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
        {
            description: 'With padding',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Box_1.default, { padding: 2 },
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
        {
            description: 'Responsive padding',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Box_1.default, { padding: [2, 3, 4] },
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
    ],
};
exports.default = docs;
