"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Placeholder_1 = __importDefault(require("./Placeholder"));
var Box_1 = __importDefault(require("./Box"));
var Stack_1 = __importDefault(require("./Stack"));
var Column_1 = __importDefault(require("./Column"));
var Columns_1 = __importDefault(require("./Columns"));
var Container = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(Box_1.default, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Column',
    examples: [
        {
            description: 'standard columns',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Columns_1.default, { space: 2 },
                react_1.default.createElement(Column_1.default, null,
                    react_1.default.createElement(Placeholder_1.default, { height: 60 })),
                react_1.default.createElement(Column_1.default, null,
                    react_1.default.createElement(Placeholder_1.default, { height: 60 })),
                react_1.default.createElement(Column_1.default, null,
                    react_1.default.createElement(Placeholder_1.default, { height: 60 })))); },
        },
        {
            description: 'available widths',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 2 },
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: 'content' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'content' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '1/2' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '1/2' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '1/3' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '1/3' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '2/3' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '2/3' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '1/4' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '1/4' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '3/4' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '3/4' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '1/5' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '1/5' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '2/5' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '2/5' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '3/5' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '3/5' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))),
                react_1.default.createElement(Columns_1.default, { space: 2 },
                    react_1.default.createElement(Column_1.default, { width: '4/5' },
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: '4/5' })),
                    react_1.default.createElement(Column_1.default, null,
                        react_1.default.createElement(Placeholder_1.default, { height: 60, label: 'Fluid' }))))); },
        },
    ],
};
exports.default = docs;
