"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var styles_1 = require("@material-ui/core/styles");
var toResponsiveProps_1 = __importDefault(require("../modules/toResponsiveProps"));
var react_keyed_flatten_children_1 = __importDefault(require("react-keyed-flatten-children"));
var useNegativeTopMargin_1 = __importDefault(require("../modules/useNegativeTopMargin"));
var Column_1 = __importDefault(require("./Column"));
var getFlexboxAlignForAlignYProp_1 = __importDefault(require("../modules/getFlexboxAlignForAlignYProp"));
var widthPropToDecimal = {
    content: undefined,
    '1/2': 1 / 2,
    '1/3': 1 / 3,
    '2/3': 2 / 3,
    '1/4': 1 / 4,
    '3/4': 3 / 4,
    '1/5': 1 / 5,
    '2/5': 2 / 5,
    '3/5': 3 / 5,
    '4/5': 4 / 5,
};
var negative = function (positiveNumber) { return -positiveNumber; };
var fill = function (defaultFillValue, lengthOfNewArray) {
    return __spread(Array(lengthOfNewArray).keys()).map(function () { return defaultFillValue; });
};
var useResponsiveDisplay = function (collapseBelow) {
    var theme = styles_1.useTheme();
    var collapseBelowBreakpointName = collapseBelow || theme.breakpoints.keys[0];
    var indexOfCollapseBreakpoint = collapseBelow
        ? theme.breakpoints.keys.indexOf(collapseBelowBreakpointName)
        : 0;
    return indexOfCollapseBreakpoint > 0
        ? __spread(fill('block', indexOfCollapseBreakpoint), ['flex']) : ['flex'];
};
var extractColumnPropsFromChild = function (child) {
    return child && typeof child === 'object' && 'type' in child && child.type === Column_1.default
        ? child.props
        : null;
};
var Columns = function (_a) {
    var children = _a.children, alignY = _a.alignY, collapseBelow = _a.collapseBelow, space = _a.space, reverse = _a.reverse;
    var responsivePadding = toResponsiveProps_1.default(space || 0);
    var classes = useNegativeTopMargin_1.default(responsivePadding);
    var display = useResponsiveDisplay(collapseBelow);
    var marginLeft = responsivePadding.map(negative);
    var alignItems = alignY
        ? toResponsiveProps_1.default(alignY).map(getFlexboxAlignForAlignYProp_1.default)
        : undefined;
    var flexDirection = reverse ? 'row-reverse' : 'row';
    return (react_1.default.createElement(Box_1.default, { className: classes.root },
        react_1.default.createElement(Box_1.default, { marginLeft: marginLeft, display: display, alignItems: alignItems, flexDirection: flexDirection }, react_keyed_flatten_children_1.default(children).map(function (child, index) {
            var columnProps = extractColumnPropsFromChild(child);
            var width = (columnProps === null || columnProps === void 0 ? void 0 : columnProps.width) ? widthPropToDecimal[columnProps.width]
                : '100%';
            return (react_1.default.createElement(Box_1.default, { width: width, key: index, paddingTop: space, paddingLeft: space }, child));
        }))));
};
exports.default = Columns;
