"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var Stack_1 = __importDefault(require("./Stack"));
var Hidden_1 = __importDefault(require("./Hidden"));
var Text_1 = __importDefault(require("./Text"));
var Container = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(Box_1.default, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Hidden',
    examples: [
        {
            description: 'Hidden below md',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 2 },
                react_1.default.createElement(Text_1.default, { size: 'small' }, "The following line is hidden below md:"),
                react_1.default.createElement(Hidden_1.default, { below: 'md' },
                    react_1.default.createElement(Text_1.default, { size: 'small' }, "Hidden below md.")))); },
        },
        {
            description: 'Hidden below lg',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 2 },
                react_1.default.createElement(Text_1.default, { size: 'small' }, "The following line is hidden below lg:"),
                react_1.default.createElement(Hidden_1.default, { below: 'lg' },
                    react_1.default.createElement(Text_1.default, { size: 'small' }, "Hidden below lg.")))); },
        },
        {
            description: 'Hidden above sm',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 2 },
                react_1.default.createElement(Text_1.default, { size: 'small' }, "The following line is hidden above sm:"),
                react_1.default.createElement(Hidden_1.default, { above: 'sm' },
                    react_1.default.createElement(Text_1.default, { size: 'small' }, "Hidden above sm.")))); },
        },
        {
            description: 'Hidden above md',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 2 },
                react_1.default.createElement(Text_1.default, { size: 'small' }, "The following line is hidden above md:"),
                react_1.default.createElement(Hidden_1.default, { above: 'md' },
                    react_1.default.createElement(Text_1.default, { size: 'small' }, "Hidden above md.")))); },
        },
        {
            description: 'Hidden below md (inline)',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Text_1.default, { size: 'small' },
                "The following text is hidden below md:",
                ' ',
                react_1.default.createElement(Hidden_1.default, { below: 'md', inline: true }, "Hidden below md."))); },
        },
        {
            description: 'Hidden below lg (inline)',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Text_1.default, { size: 'small' },
                "The following text is hidden below lg:",
                ' ',
                react_1.default.createElement(Hidden_1.default, { below: 'lg', inline: true }, "Hidden below lg."))); },
        },
        {
            description: 'Hidden above sm (inline)',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Text_1.default, { size: 'small' },
                "The following text is hidden above sm:",
                ' ',
                react_1.default.createElement(Hidden_1.default, { above: 'sm', inline: true }, "Hidden above sm."))); },
        },
        {
            description: 'Hidden above md (inline)',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Text_1.default, { size: 'small' },
                "The following text is hidden above md:",
                ' ',
                react_1.default.createElement(Hidden_1.default, { above: 'md', inline: true }, "Hidden above md."))); },
        },
    ],
};
exports.default = docs;
