"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var Inline_1 = __importDefault(require("./Inline"));
var Placeholder_1 = __importDefault(require("./Placeholder"));
var Container = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(Box_1.default, { bgcolor: '#ddd', maxWidth: 240 }, children));
};
var docs = {
    name: 'Inline',
    examples: [
        {
            description: 'Basic example',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Responsive space',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { space: [1, 2, 3] },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Align horizontally to center',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { align: 'center', space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Align horizontally to right',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { align: 'right', space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Responsive alignment',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { align: ['left', 'right', 'center'], space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Align vertically',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { alignY: 'center', space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 100, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 60, width: 48 }))); },
        },
        {
            description: 'Collapse below md',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { collapseBelow: 'md', space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Collapse below lg',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { collapseBelow: 'lg', space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Collapse below md with responsive space',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { collapseBelow: 'md', space: [1, 2, 3] },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
        {
            description: 'Collapse below md with alignment',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Inline_1.default, { collapseBelow: 'md', align: 'center', space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }),
                react_1.default.createElement(Placeholder_1.default, { height: 48, width: 48 }))); },
        },
    ],
};
exports.default = docs;
