"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spread = (this && this.__spread) || function () {
    for (var ar = [], i = 0; i < arguments.length; i++) ar = ar.concat(__read(arguments[i]));
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var styles_1 = require("@material-ui/core/styles");
var toResponsiveProps_1 = __importDefault(require("../modules/toResponsiveProps"));
var react_keyed_flatten_children_1 = __importDefault(require("react-keyed-flatten-children"));
var getFlexboxAlignForAlignProp_1 = __importDefault(require("../modules/getFlexboxAlignForAlignProp"));
var getFlexboxAlignForAlignYProp_1 = __importDefault(require("../modules/getFlexboxAlignForAlignYProp"));
var useNegativeTopMargin_1 = __importDefault(require("../modules/useNegativeTopMargin"));
var fill = function (defaultFillValue, lengthOfNewArray) {
    return __spread(Array(lengthOfNewArray).keys()).map(function () { return defaultFillValue; });
};
var negative = function (positiveNumber) { return -positiveNumber; };
var useResponsiveDisplay = function (collapseBelow) {
    var theme = styles_1.useTheme();
    var collapseBelowBreakpointName = collapseBelow || theme.breakpoints.keys[0];
    var indexOfCollapseBreakpoint = collapseBelow
        ? theme.breakpoints.keys.indexOf(collapseBelowBreakpointName)
        : 0;
    return indexOfCollapseBreakpoint > 0
        ? __spread(fill('block', indexOfCollapseBreakpoint), ['flex']) : ['flex'];
};
var Inline = function (_a) {
    var children = _a.children, space = _a.space, align = _a.align, alignY = _a.alignY, collapseBelow = _a.collapseBelow;
    var responsivePadding = toResponsiveProps_1.default(space || 0);
    var responsiveAlign = toResponsiveProps_1.default(align || 'left');
    var responsiveAlignY = toResponsiveProps_1.default(alignY || 'top');
    var display = useResponsiveDisplay(collapseBelow);
    var justifyContent = responsiveAlign.map(getFlexboxAlignForAlignProp_1.default);
    var alignItems = responsiveAlignY.map(getFlexboxAlignForAlignYProp_1.default);
    var marginLeft = responsivePadding.map(negative);
    var classes = useNegativeTopMargin_1.default(responsivePadding);
    return (react_1.default.createElement(Box_1.default, { className: classes.root },
        react_1.default.createElement(Box_1.default, { flexWrap: 'wrap', display: display, flexDirection: 'row', marginLeft: marginLeft, alignItems: alignItems, justifyContent: justifyContent }, react_keyed_flatten_children_1.default(children).map(function (child, index) { return (react_1.default.createElement(Box_1.default, { key: index, minWidth: '0%', display: 'flex', justifyContent: justifyContent, paddingLeft: responsivePadding, paddingTop: responsivePadding }, child)); }))));
};
exports.default = Inline;
