"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var Stack_1 = __importDefault(require("./Stack"));
var Hidden_1 = __importDefault(require("./Hidden"));
var Placeholder_1 = __importDefault(require("./Placeholder"));
var Container = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(Box_1.default, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Stack',
    examples: [
        {
            description: 'Space',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
        {
            description: 'Responsive space',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: [1, 2, 3] },
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
        {
            description: 'Align to center',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 1, align: 'center' },
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 60 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 80 }))); },
        },
        {
            description: 'Align to right',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 1, align: 'right' },
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 60 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 80 }))); },
        },
        {
            description: 'Responsive alignment',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 1, align: ['left', 'right', 'center'] },
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 60 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40, width: 80 }))); },
        },
        {
            description: 'Responsively hiding stack items',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Stack_1.default, { space: 1 },
                react_1.default.createElement(Placeholder_1.default, { height: 40, label: '1' }),
                react_1.default.createElement(Hidden_1.default, { below: 'md' },
                    react_1.default.createElement(Placeholder_1.default, { height: 40, label: '2' })),
                react_1.default.createElement(Hidden_1.default, { above: 'sm' },
                    react_1.default.createElement(Placeholder_1.default, { height: 40, label: '3' })),
                react_1.default.createElement(Placeholder_1.default, { height: 40, label: '4' }))); },
        },
    ],
};
exports.default = docs;
