"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var toResponsiveProps_1 = __importDefault(require("../modules/toResponsiveProps"));
var styles_1 = require("@material-ui/core/styles");
var getFlexboxAlignForAlignProp_1 = __importDefault(require("../modules/getFlexboxAlignForAlignProp"));
var react_keyed_flatten_children_1 = __importDefault(require("react-keyed-flatten-children"));
var Hidden_1 = __importDefault(require("./Hidden"));
var useNegativeTopMargin_1 = __importDefault(require("../modules/useNegativeTopMargin"));
var extractHiddenPropsFromChild = function (child) {
    return child && typeof child === 'object' && 'type' in child && child.type === Hidden_1.default
        ? child.props
        : null;
};
var useStackItemResponsiveDisplay = function (stackItem) {
    var theme = styles_1.useTheme();
    var hiddenProps = extractHiddenPropsFromChild(stackItem);
    var indexOfHideBelowBreakpoint = (hiddenProps === null || hiddenProps === void 0 ? void 0 : hiddenProps.below) ? theme.breakpoints.keys.indexOf(hiddenProps === null || hiddenProps === void 0 ? void 0 : hiddenProps.below)
        : 0;
    var indexOfHideAboveBreakpoint = (hiddenProps === null || hiddenProps === void 0 ? void 0 : hiddenProps.above) ? theme.breakpoints.keys.indexOf(hiddenProps === null || hiddenProps === void 0 ? void 0 : hiddenProps.above)
        : theme.breakpoints.keys.length - 1;
    return theme.breakpoints.keys.map(function (_key, index) {
        return index <= indexOfHideAboveBreakpoint &&
            index >= indexOfHideBelowBreakpoint
            ? 'block'
            : 'none';
    });
};
var Stack = function (_a) {
    var children = _a.children, space = _a.space, align = _a.align;
    var alignItems = align && toResponsiveProps_1.default(align).map(getFlexboxAlignForAlignProp_1.default);
    var responsivePadding = toResponsiveProps_1.default(space || 0);
    var classes = useNegativeTopMargin_1.default(responsivePadding);
    return (react_1.default.createElement(Box_1.default, { className: classes.root },
        react_1.default.createElement(Box_1.default, { display: 'flex', flexDirection: 'column', alignItems: alignItems }, react_keyed_flatten_children_1.default(children).map(function (stackItem, index) {
            var display = useStackItemResponsiveDisplay(stackItem);
            return (react_1.default.createElement(Box_1.default, { key: index, display: display, paddingTop: responsivePadding }, stackItem));
        }))));
};
exports.default = Stack;
