"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Placeholder_1 = __importDefault(require("./Placeholder"));
var Box_1 = __importDefault(require("./Box"));
var Tiles_1 = __importDefault(require("./Tiles"));
var Container = function (_a) {
    var children = _a.children;
    return (react_1.default.createElement(Box_1.default, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Tiles',
    examples: [
        {
            description: 'Three columns',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Tiles_1.default, { columns: 3, space: 2 },
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
        {
            description: 'Responsive columns',
            Container: Container,
            Example: function () { return (react_1.default.createElement(Tiles_1.default, { columns: [1, 2, 4], space: 2 },
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }),
                react_1.default.createElement(Placeholder_1.default, { height: 40 }))); },
        },
    ],
};
exports.default = docs;
