"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var router_1 = __importDefault(require("next/router"));
var react_1 = __importStar(require("react"));
var head_1 = __importDefault(require("next/head"));
var styles_1 = require("@material-ui/core/styles");
var CssBaseline_1 = __importDefault(require("@material-ui/core/CssBaseline"));
var theme_1 = __importDefault(require("../theme"));
var styles_2 = require("@material-ui/core/styles");
var Box_1 = __importDefault(require("../components/Box"));
var link_1 = __importDefault(require("next/link"));
var Menu_1 = __importDefault(require("@material-ui/icons/Menu"));
var Close_1 = __importDefault(require("@material-ui/icons/Close"));
var Navigation_1 = __importDefault(require("../components/demo/Navigation"));
var menuWidth = 120;
var containerMaxWidth = 1280;
var logoWidthAndHeight = 40;
var useStyles = styles_2.makeStyles(function (theme) {
    var _a, _b, _c;
    return ({
        navigation: (_a = {},
            _a[theme.breakpoints.down('xs')] = {
                opacity: function (showMobileMenu) { return (showMobileMenu ? 1 : 0); },
                left: 0,
            },
            _a),
        content: (_b = {},
            _b[theme.breakpoints.down('xs')] = {
                opacity: function (showMobileMenu) { return (showMobileMenu ? 0 : 1); },
                pointerEvents: function (showMobileMenu) { return (showMobileMenu ? 'none' : 'auto'); },
            },
            _b),
        '@global': {
            body: (_c = {},
                _c[theme.breakpoints.down('xs')] = {
                    overflow: function (showMobileMenu) { return (showMobileMenu ? 'hidden' : 'auto'); },
                },
                _c),
        },
    });
});
var Layout = function (_a) {
    var children = _a.children;
    var theme = styles_1.useTheme();
    var _b = __read(react_1.useState(false), 2), showMobileMenu = _b[0], setShowMobileMenu = _b[1];
    var toggleSetShowMobileMenu = function () { return setShowMobileMenu(function (show) { return !show; }); };
    var classes = useStyles(showMobileMenu);
    react_1.useEffect(function () {
        var handleRouteChange = function () {
            setShowMobileMenu(false);
        };
        router_1.default.events.on('routeChangeComplete', handleRouteChange);
        return function () { return router_1.default.events.off('routeChangeComplete', handleRouteChange); };
    }, []);
    var headerHeightPx = theme.spacing(6) + logoWidthAndHeight + "px";
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Box_1.default, { position: 'fixed', top: 0, left: 0, right: 0 },
            react_1.default.createElement(Box_1.default, { display: 'flex', alignItems: 'center', maxWidth: containerMaxWidth, paddingX: 4, paddingTop: 4, paddingBottom: 2, margin: 'auto' },
                react_1.default.createElement(Box_1.default, { paddingRight: 2, style: { cursor: 'pointer' }, display: ['block', 'none'], onClick: toggleSetShowMobileMenu }, showMobileMenu ? react_1.default.createElement(Close_1.default, null) : react_1.default.createElement(Menu_1.default, null)),
                react_1.default.createElement(link_1.default, { href: '/' },
                    react_1.default.createElement("a", { style: { lineHeight: 0 } },
                        react_1.default.createElement("img", { src: '/logo.png', width: logoWidthAndHeight, height: logoWidthAndHeight }))))),
        react_1.default.createElement(Box_1.default, { margin: '0 auto', maxWidth: containerMaxWidth },
            react_1.default.createElement(Box_1.default, { position: 'fixed', top: headerHeightPx, bottom: 0, width: menuWidth, padding: 4, className: classes.navigation },
                react_1.default.createElement(Navigation_1.default, null)),
            react_1.default.createElement(Box_1.default, { padding: 4, marginTop: headerHeightPx, marginLeft: [0, menuWidth + "px"], position: 'relative', className: classes.content, bgcolor: 'background.default' }, children))));
};
var App = function (props) {
    var Component = props.Component, pageProps = props.pageProps;
    react_1.useEffect(function () {
        var jssStyles = document.querySelector('#jss-server-side');
        if (jssStyles) {
            var parentElement = jssStyles.parentElement;
            parentElement.removeChild(jssStyles);
        }
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(head_1.default, null,
            react_1.default.createElement("meta", { name: 'viewport', content: 'minimum-scale=1, initial-scale=1, width=device-width' }),
            react_1.default.createElement("title", null, "MUI Primitives")),
        react_1.default.createElement(styles_1.ThemeProvider, { theme: theme_1.default },
            react_1.default.createElement(CssBaseline_1.default, null),
            react_1.default.createElement(Layout, null,
                react_1.default.createElement(Component, __assign({}, pageProps))))));
};
exports.default = App;
